Subject: bug#43380: 28.0.50; [PATCH] Set mwheel default scroll value to 1

From: Juri Linkov <[email-masked]>
Date: Thu, 24 Sep 2020 22:00:13 +0300

tags 43380 fixed
close 43380 28.0.50
thanks

>>> In the spirit of moving towards a more "modern" emacs, I'll address with
>>> a patch the thing that actually confuses me personally the most.  Also,
>>> it seems like an (dare I say it) uncontroversial change: set default
>>> scroll value to 1.  It is mentioned as a small step towards the "smooth"
>>> scrolling.  Is there some other places that needs to be updated?
>>
>>Thanks for the patch.
>>
>>Could you give some additional rationale for this change?
>
> Of course! Scrolling by 5 lines scrolls extremely fast when using touchpad,
> so much so that on my personal laptop in scrolls to the end of even pretty
> large files by moving my finger less than a centimeter. Also, since there
> is no tactile feedback on a touchpad, it gets very hard to predict. When
> swapping these, the ones wanting the five by five still get it by
> using shift.
>
>> For example, what does other software do here?
>
> Most software scrolls pixel wise, and that is still a ways to go for emacs, if I understand correctly.
>
>> What does other editors do?
>
> The same as most other software, pixel wise. Comparable editors, like vim, scrolls one by one
>
>>In what way does this help make Emacs behavior less surprising?
>
> This should be as close to pixel wise we can get, and will be a lot more similar in behavior to most other software, be it editors or browser or whatnot.
>
> Hope this clarifies the rationale a little.

Thanks, your patch is applied now (in anticipation of more changes in bug#43568)